/*---------------------------------------------------------------------------*\

    FILE....: LOADPC.CPP
    TYPE....: C++ program
    AUTHOR..: David Rowe
    DATE....: 27/8/02

    Loads PC CPU and disk, used to test V12PCI under high load conditions.
    Run tthis program and tload simultaneously and check for breakup in 
    audio.

\*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*\

         Voicetronix Voice Processing Board (VPB) Software

         Copyright (C) 1999-2002 Voicetronix www.voicetronix.com.au

         This library is free software; you can redistribute it and/or
         modify it under the terms of the GNU Lesser General Public
         License as published by the Free Software Foundation; either
         version 2.1 of the License, or (at your option) any later version.

         This library is distributed in the hope that it will be useful,
         but WITHOUT ANY WARRANTY; without even the implied warranty of
         MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
         Lesser General Public License for more details.

         You should have received a copy of the GNU Lesser General Public
         License along with this library; if not, write to the Free Software
         Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
	 USA

\*---------------------------------------------------------------------------*/

#include <assert.h>
#include <stdlib.h>
#include <stdio.h>

#include "kbhit.h"

#define N 1000000

int main(int argc, char * argv[])
{
	FILE *f;
	int  h,i;
	
	printf("Press any key to finish\n");
	while(!kbhit()) {
		f = fopen("/tmp/tmp.bin","wb");
		assert(f != NULL);
		for(i=0; i<N; i++) {
			fwrite(&h,sizeof(int), 1, f);
		}
		fclose(f);
	}

	return 0;
}



